LINUX.ORG.RU

/usr/lib/openoffice.org2.0/program/javaldx: /lib/tls/libc.so.6: version `GLIBC_2.4' not found (required by /usr/lib/openoffice.org2.0/program/libuno_sal.so.3)


0

0

обновил слаку были проблемы с GCC и GLIBC не мог ни обной проги запустить, пересобрал GCC (поставил 4.1.1) но все равно некоторые программы (все проги из rpm пакетов) отваливаються вот с таким сообщением: /usr/lib/openoffice.org2.0/program/javaldx: /lib/tls/libc.so.6: version `GLIBC_2.4' not found (required by /usr/lib/openoffice.org2.0/program/libuno_sal.so.3)

что делать ? и если можно в краце GLIBC - это глобальная библиотека для всего линуха? она идет в комплекте с ядром или это все таки что то от GCC ?

anonymous

Ответ на: комментарий от Lockywolf

>переустановить с нуля.

> данные естественно забекапить.

уже давно меня посещает такая идея, но я не веря что это единственный вариант

anonymous
()
Ответ на: комментарий от anonymous

Дядя, русским языком сказано: Glibc-2.4 - это новая (и тестовая, => Патрег ни в жизни не поставит, обождав до 2.5.1 или взяв 2.5) версия либы, в каррент ее сувать - это нужно быть маньяком, оосбенно в свете недавнего выхода 11-й Священной. Отсюда => что раньше 12-й (или на крайняк - 11.1) в Слаке оно не появится.

Главный вывод - либо обновляться самому, либо самому собрать ООо, но в любом случае перестать страдать херней, пытаясь ставить на Слаку отбросы в формате RPM. Возможно это будет откровением - но есть официальные источники, у которых требования к glibc = 2.1.

Gharik
()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.